Subject: AW: Challenge with Git-Bash

From: "Rainer Lauer" <[email-masked]>
Date: Sun, 18 Jul 2010 19:02:26 +0200

Hi,
from Jonathan Nieder <[email-masked]> I got a successfully work-around. See attached mail.
Thanks for your support and amazingly fast response.

Regis,
Rainer Lauer

-----Ursprüngliche Nachricht-----
Von: Ævar Arnfjörð Bjarmason [mailto:[email-masked]] 
Gesendet: Sonntag, 18. Juli 2010 16:56
An: Rainer Lauer
Cc: Git Mailing List
Betreff: Re: Challenge with Git-Bash

On Sun, Jul 18, 2010 at 14:42, Rainer Lauer <[email-masked]> wrote:
> Hi,
> thanks for the reply. I did set the full path to my editor of choice.

Good that it worked out. CC-ing the list so that others encountering this problem will find the solution.

Subject: Re: Challenge with Git-Bash
From: "Jonathan Nieder" <[email-masked]>
To: "Rainer Lauer" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sat, 17 Jul 2010 19:13:03 +0200

(+cc: msysgit)

Hi Rainer,

Rainer Lauer wrote:

> with my Windows 7 Git-Installation I get following challenge:
>
> 1)	Set GIT_EDITOR to editor of your choice
>
> 2)	With Windows7 let this editor run in admin-mode
> 	Goto .exe-file -> right mouse-click -> compatibility -> run program
>	as admin (I'm running a German version maybe English names are slightly
>	different)
>
> 3)	Make a git action like git add file
>	                       git commit
> 	from the git bash.
>
> 4)	Now following message appears:  sh.exe: ./"editor of your choice":
> Bad file number
>
> Everything is fine without Admin-Mode set for editor.

Apparently “Bad file number” can mean “Permission denied” among other
things on Windows.  I do not have any better suggestion than to try
running git bash as administrator too, sorry.

Regards,
Jonathan